Nexus' software components have new names:

Nexus PRIME -> Smart ID Identity Manager
Nexus Certificate Manager -> Smart ID Certificate Manager
Nexus Hybrid Access Gateway -> Smart ID Digital Access component
Nexus Personal -> Smart ID clients

Go to Nexus homepage for overviews of Nexus' solutions, customer cases, news and more.


This article describes how to update Smart ID Certificate Manager from 8.3.x to 8.4.1. For description of other upgrade paths, see Upgrade Certificate Manager.

Expand/Collapse All

Prerequisites

Smart ID Certificate Manager 8.3.x is installed.

Step-by-step instruction

Use the files in the folder <Upgrade/Upgrade from CM 8.3.x to 8.4.0>.

Database scripts for MariaDB, MSSQL, MySQL, PostgreSQL and Oracle are included in the delivery of Certificate Manager.

  1. To upgrade the CMDB (Certificate Manager Database), run the appropriate script in the MSSQL Server Management Studio, MySQL client, Oracle SQLPlus or PostgreSQL client:

    Database

    Script

    MariaDB

    database/CMDBUpgrade_MariaDB_8_4_0.sql

    MSSQL

    database/CMDBUpgrade_MSSQL_8_4_0.sql

    MySQL

    database/CMDBUpgrade_MySQL_8_4_0.sql

    Oracle

    database/CMDBUpgrade_Oracle_8_4_0.sql

    PostgreSQL

    database/CMDBUpgrade_PostgreSQL_8_4_0.sql

  2. Verify that no errors occurred.

The Certificate Manager server components are installed and run as services. The following steps must be performed at the server(s) that runs any of the Nexus CF, Nexus CIS or Nexus SNMP services.

  1. Make a backup copy of this folder before applying any changes:

    1. <cm-server-home>/config

  2. Stop the Nexus CIS, CF and SNMP services, read more here Start Certificate Manager server components.

  3. Do the configuration changes in <cm-server-home>/config/ described in the respective files under the <server> folder.

  4. From Upgrade files CM 8.4.1/server/inputviews, add these files to <cm-server-home>/inputviews:

    1. est-auth-cert.conf

    2. its-station-registration.conf

Continue to upgrade Certificate Manager from 8.4.0 to 8.4.1.